using System;
using System.Collections.Generic;
using System.Web.Mvc;
using Telerik.Web.Mvc;
using TelerikMVC3Test.Models;

namespace TelerikMVC3Test.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        [GridAction]
        public ActionResult _Select()
        {
            return View(new GridModel { Data = new List<ViewModel>() });
        }

        [GridAction]
        public ActionResult _Insert(ViewModel model)
        {
            if(ModelState.IsValid)
            {
            } return View(new GridModel { Data = new List<ViewModel>() });
        }

        [GridAction]
        public ActionResult _Update(ViewModel model, Guid id)
        {
            if(ModelState.IsValid)
            {

            } return View(new GridModel { Data = new List<ViewModel>() });
        }
    }
}
